HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Patch request to update LAG objects

Update one or more Link Aggregation Groups using JSON patch(es) with their UUIDs.

The following patch paths are supported for the replace operation:

  • /description
  • /name
  • /native_vlan
  • /pvlan_port_type
  • /qos_ingress_policies
  • /tags
  • /ungrouped_vlans
  • /vlan_group_uuids
  • /enable_lossless
  • /tagged
  • /bpdu_filter
  • /bpdu_guard
  • /root_guard
  • /loop_guard
  • /tcn_guard
  • /admin_port_type
  • /rpvst_guard
  • /rpvst_filter

The following patch paths are supported for the add operation:

  • /qos_ingress_policies
  • /vlan_group_uuids

The following patch paths are supported for the remove operation:

  • /qos_ingress_policies
  • /vlan_group_uuids

Notes:
Patches are applied as follows:

  • Either the update_all query parameter or uuids property in the request body object must be provided
  • If a list of uuids are provided in the request body:
    • The UUIDs must be associated with the LAGs
    • The matching patch in the body will be applied to all LAGs whose UUID is in the uuids list
    • Note that the use of the update_all query parameter and inclusion of the uuids property in the request object are mutually exclusive features.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean

Update all Link Aggregation Groups with the first patch request.

Body Params

Apply an array of patches to Link Aggregation Group resources.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1.0